> ## Documentation Index
> Fetch the complete documentation index at: https://similarweb-zp8zf.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# SERP Players

> Returns a list of websites that are competing for the same paid keywords as the given domain, overlap score and % of shared keywords.



## OpenAPI

````yaml keywords-comp.json get /{domain_name}/search-competitors/paidsearchcompetitors
openapi: 3.1.0
info:
  title: Paid Keyword Competitors
  version: '4.0'
servers:
  - url: https://api.similarweb.com/v4/website/
security:
  - {}
paths:
  /{domain_name}/search-competitors/paidsearchcompetitors:
    get:
      summary: Paid Keyword Competitors - Desktop
      description: >-
        Returns a list of websites that are competing for the same paid keywords
        as the given domain, overlap score and % of shared keywords.
      operationId: paid-keyword-competitors-desktop
      parameters:
        - name: domain_name
          in: path
          description: Enter website of interest, without 'www.' or brackets {}.
          schema:
            type: string
            default: amazon.com
          required: true
        - name: api_key
          in: query
          description: Your Similarweb API key.
          required: true
          schema:
            type: string
            default: Add_Your_API_KEY
        - name: start_date
          in: query
          description: 'Start month (format: YYYY-MM)'
          schema:
            type: string
            default: 2023-01
        - name: end_date
          in: query
          description: 'End month (format: YYYY-MM)'
          schema:
            type: string
            default: 2023-03
        - name: country
          in: query
          description: >-
            Country filter, as a 2-letter ISO country code, or "world" for
            worldwide. To see the country filters you have access to, please
            refer to the Check Capabilities endpoint.
          required: true
          schema:
            type: string
            default: us
        - name: main_domain_only
          in: query
          description: >-
            [optional] Return values for the main domain only ('true'), or
            include also the subdomains ('false').
          schema:
            type: string
            default: 'false'
        - name: format
          in: query
          description: >-
            [optional] Format in which the reply should be returned. Possible
            values: 'json' (default) or 'xml'.
          schema:
            type: string
            default: json
        - name: limit
          in: query
          description: >-
            [optional] Select the number of results that are returned. Default:
            100.
          schema:
            type: string
            default: '100'
        - name: offset
          in: query
          description: '[optional] Specify an offset from where to start returning data.'
          schema:
            type: string
        - name: sort
          in: query
          description: '[optional] The metric you''d like the results to be ordered by.'
          schema:
            type: string
        - name: asc
          in: query
          description: >-
            [optional] The order of results. Enter "true" for ascending, or
            "false" for descending.
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                VIEW EXAMPLE RESPONSE:
                  value: |-
                    {
                      "meta": {
                        "query": {
                          "limit": 100,
                          "offset": 0,
                          "asc": null,
                          "sort": null
                        },
                        "request": {
                          "main_domain_only": false,
                          "show_verified": false,
                          "state": null,
                          "format": "json",
                          "domain": "cnn.com",
                          "start_date": "2023-01-01",
                          "end_date": "2023-03-31",
                          "country": "us"
                        },
                        "status": "Success"
                      },
                      "data": [
                        {
                          "url": "couponboa.com",
                          "score": 1.60356309174151,
                          "shared_keywords": 0.75
                        },
                        {
                          "url": "dealsdiscountcode.com",
                          "score": 1.414208477577366,
                          "shared_keywords": 0.375
                        },
                        {
                          "url": "infinitevouchers.com",
                          "score": 0.9701373018650982,
                          "shared_keywords": 0.2857142857142857
                        },
                        {
                          "url": "couponfreecodes.com",
                          "score": 0.6488776322716807,
                          "shared_keywords": 0.07142857142857142
                        },
                        {
                          "url": "coupontemple.com",
                          "score": 0.6246866662387317,
                          "shared_keywords": 0.06451612903225806
                        },
                        {
                          "url": "foreo.com",
                          "score": 0.6246866662387317,
                          "shared_keywords": 0.06451612903225806
                        },
                        {
                          "url": "shipthedeal.com",
                          "score": 0.42531032018892073,
                          "shared_keywords": 0.015873015873015872
                        },
                        {
                          "url": "alrigh.com",
                          "score": 0.3980015176533657,
                          "shared_keywords": 0.02197802197802198
                        },
                        {
                          "url": "couponmonger.com",
                          "score": 0.365140989863244,
                          "shared_keywords": 0.05
                        },
                        {
                          "url": "couponkind.com",
                          "score": 0.24998911907822927,
                          "shared_keywords": 0.018518518518518517
                        },
                        {
                          "url": "couponfollow.com",
                          "score": 0.15449877125309963,
                          "shared_keywords": 0.0030303030303030303
                        },
                        {
                          "url": "couponcause.com",
                          "score": 0.12800447242618254,
                          "shared_keywords": 0.0013729977116704805
                        }
                      ],
                      "global_ranking": 90,
                      "category": "News_and_Media",
                      "category_ranking": 13
                    }
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      query:
                        type: object
                        properties:
                          limit:
                            type: integer
                            example: 100
                            default: 0
                          offset:
                            type: integer
                            example: 0
                            default: 0
                          asc: {}
                          sort: {}
                      request:
                        type: object
                        properties:
                          main_domain_only:
                            type: boolean
                            example: false
                            default: true
                          show_verified:
                            type: boolean
                            example: false
                            default: true
                          state: {}
                          format:
                            type: string
                            example: json
                          domain:
                            type: string
                            example: cnn.com
                          start_date:
                            type: string
                            example: '2023-01-01'
                          end_date:
                            type: string
                            example: '2023-03-31'
                          country:
                            type: string
                            example: us
                      status:
                        type: string
                        example: Success
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                          example: couponboa.com
                        score:
                          type: number
                          example: 1.60356309174151
                          default: 0
                        shared_keywords:
                          type: number
                          example: 0.75
                          default: 0
                  global_ranking:
                    type: integer
                    example: 90
                    default: 0
                  category:
                    type: string
                    example: News_and_Media
                  category_ranking:
                    type: integer
                    example: 13
                    default: 0
      deprecated: false

````